<?php 
namespace FoodBook\Admin\Field;
 /**
  * 
  * @package    FoodBook 
  * @since      3.0.0
  * @version    3.0.0
  * @author     ThemeLooks
  * @Websites:  http://themelooks.com/
  *
  */

trait Zipcode {

	protected static $args;

	public function zipcode( $args ) {

		$default = [
			'title' => '',
			'name'	=> '',
			'description'	=> '',
			'class'			=> '',
			'condition'		=> '',
		];

		self::$args = wp_parse_args( $args, $default );

		self::zipcode_markup();
		
	}

	protected static function zipcode_markup() {

		$optionName = self::$optionName;
	    $args = self::$args;
	    $getData = self::$getOptionData;
	    $fieldName  = $args['name'];
	    $value = !empty( $getData[$fieldName] ) ? $getData[$fieldName] : '';

	    $conditionData = '';
	    if( !empty( $args['condition'] ) ) {
	      $conditionData = json_encode( $args['condition'] );
	    }
		?>
		<div class="foodbook-admin-field fb-zip-conditional-field" data-condition="<?php echo esc_html($conditionData); ?>">
			<h4><?php echo esc_html( $args['title'] ); ?></h4>
			<div class="pickup-time-repeater">
                <div class="field-wrapper">
                <?php
                if( !empty( $value ) ):
                  foreach ( $value as $val ) :
                ?>
                  <div class="single-field">
                  <input type="text" name="<?php echo esc_attr( $optionName ).'['.$fieldName.']'; ?>[]" value="<?php echo esc_attr( $val ); ?>" />
                  </div>
                <?php 
                endforeach;
            	else:
            	?>
            	<div class="single-field">
                  <input type="text" name="<?php echo esc_attr( $optionName ).'['.$fieldName.']'; ?>[]" />
                </div>
            	<?php
                endif
                ?>
                <?php
				if( !empty( $args['description'] ) ) {
					echo '<p>'.esc_html( $args['description'] ).'</p>';
				}
				?>
                </div>
            </div>
        </div>
		<?php
	}
}
