<?php
namespace FoodBook\Admin;
 /**
  * 
  * @package    FoodBook 
  * @since      3.0.0
  * @version    3.0.0
  * @author     ThemeLooks
  * @Websites:  http://themelooks.com/
  *
  */


class Location_Settings_Tab extends Settings_Fields_Base {

  public function get_option_name() {
    return 'foodbook_options'; // set option name it will be same or different name
  }

   public function tab_setting_fields() {

        $this->start_fields_section([
            'title'   => '',
            'id'      => 'locationSettings'
        ]);

        $this->checkbox(
          [
            'title' => esc_html__( 'Delivery Availability Checker Active', 'foodbook' ),
            'name'  => 'availability-checker-active'
          ]
        );
        $this->selectbox(
          [
            'title' => esc_html__( 'Delivery Availability Checker Active', 'foodbook' ),
            'name'  => 'location_type',
            'options'   => [
              'address' => esc_html__( 'Address', 'foodbook' ),
              'zip'     => esc_html__( 'Zip Code', 'foodbook' )
            ]
          ]
        );
        $this->text(
          [
            'title' => esc_html__( 'Set Google API Key', 'foodbook' ),
            'name'  => 'google-api-key',
            'wrapperclass' => 'fb-address-conditional-field',
            'description' => '<a href="http://console.cloud.google.com/" target="_blank">'.esc_html__( 'Create google API ', 'foodbook' ).'</a>',
          ]
        );
        $this->zipcode([
          'title' => esc_html__( 'Add Single Branch Shop Zip Code', 'foodbook' ),
          'name'  => 'delivery_zip',
        ]);
        $this->locationSearch([
          'title' => esc_html__( 'Set Single Branch Shop Location', 'foodbook' ),
          'name'  => 'branch-location',
        ]);
        $this->number(
          [
            'title' => esc_html__( 'Set Distance Restrict (KM)', 'foodbook' ),
            'name'  => 'distance-restrict'
          ]
        );
        $this->checkbox(
          [
            'title' => esc_html__( 'Location Modal Popup Active', 'foodbook' ),
            'name'  => 'location-popup-active'
          ]
        );
        $this->checkbox(
          [
            'title' => esc_html__( 'Checkout Page Delivery Location Checker Active', 'foodbook' ),
            'name'  => 'checkout-location-active'
          ]
        );
        $this->multiple_select(
          [
            'title' => esc_html__( 'Set Delivery Availability Checker Modal Show Page', 'foodbook' ),
            'name'  => 'availability-checker-modal',
            'options'   => foodbook_get_pages()
          ]
        );

        $this->end_fields_section(); // End fields section
   }
}

new Location_Settings_Tab();