<?php
namespace FoodBook\Admin;
 /**
  * 
  * @package    FoodBook 
  * @since      3.0.0
  * @version    3.0.0
  * @author     ThemeLooks
  * @Websites:  http://themelooks.com/
  *
  */


class Shortcodelist_Settings_Tab extends Settings_Fields_Base {

  public function get_option_name() {
    return 'foodbook_options'; // set option name it will be same or different name
  }

   public function tab_setting_fields() {

        $this->start_fields_section([
            'title'   => '',
            'id'      => 'shortcodelist'
        ]);
        ?>
        <h3><?php esc_html_e( 'Shortcode List', 'foodbook' ); ?></h3>
              <div class="shortcode-item-list">
                <h4><?php esc_html_e( 'Product Page Shortcode:', 'foodbook' ); ?></h4>

                <code>[foodbook_products]</code>
                <code>[foodbook_products col="4" cat="accessories" layout="grid" sidebar="yes" search="yes" padding_top="120px" padding_bottom="120px"]</code>
                <h5><?php esc_html_e( 'Attrubute List', 'foodbook' ); ?></h5>
                <ul>
                  <li><pre><?php esc_html_e( 'cat - cat="category name"', 'foodbook' ); ?> </pre></li>
                  <li><pre><?php esc_html_e( 'col - col="column" like ( 2, 3, 4 )', 'foodbook' ); ?> </pre></li>
                  <li><pre><?php esc_html_e( 'layout - layout="layout" like grid or list', 'foodbook' ); ?> </pre></li>
                  <li><pre><?php esc_html_e( 'sidebar - sidebar="yes" like yes or no', 'foodbook' ); ?> </pre></li>
                  <li><pre><?php esc_html_e( 'search - search="yes" like yes or no', 'foodbook' ); ?> </pre></li>
                  <li><pre><?php esc_html_e( 'Wrapper Padding Top - padding_top="120px" ', 'foodbook' ); ?> </pre></li>
                  <li><pre><?php esc_html_e( 'Wrapper Padding Bottom - padding_bottom="120px" ', 'foodbook' ); ?> </pre></li>
                </ul>
              </div>
              <div class="shortcode-item-list">
                <h4><?php esc_html_e( 'Delivery ability checker form:', 'foodbook' ); ?></h4>
                <code>[foodbook_delivery_ability_checker]</code>
                <code>[foodbook_delivery_ability_checker button_text="search"]</code>
                <h5><?php esc_html_e( 'Attrubute List', 'foodbook' ); ?></h5>
                <ul>
                  <li><pre><?php esc_html_e( 'button_text - button_text="search"', 'foodbook' ); ?> </pre></li>
                </ul>
              </div>
        <?php
        $this->end_fields_section(); // End fields section
   }
}

new Shortcodelist_Settings_Tab();