/*---------------------------------------------
Template name :  FoodBook
Version       :  2.7.0
Author        :  ThemeLooks
Author url    :  http://themelooks.com

NOTE:
------
Please DO NOT EDIT THIS JS, you may need to use "custom.js" file for writing your custom js.
We may release future updates so it will overwrite this file. it's better and safer to use "custom.js".

[Table of Content]

    01: SVG Image
    02: Top 50
----------------------------------------------*/

(function ($) {
    "use strict";

    let i, m, a, admin,LocationFinder = {};

    i = {

        catSlug: "",
        taxonomy: "",
        options: {},

        init: function () {

            let $this = this;

            $this.getProducts();
            $this.allGetItems();
            $this.getProductByPaginate();
            $this.getProductByCategories();
            $this.getProductByTaxonomy();
            $this.productSearch();
            $this.getProductOrderbyFilter();
            a.sendMail();
            if( foodbookobj.is_checkout ) {
                $this.conditionalTimeSelectBox();
                $this.checkoutPageTimeSlotTimeCheck();
            }
            
        },
        getProducts: function () {

            let $cat = $('[data-cat]').data('cat'),
                $col = $('[data-col]').data('col'),
                $layout = $('[data-layout]').data('layout'),
                cat = this.options.catSlug ? this.options.catSlug : $cat;

            $.ajax({
                type: "POST",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "woo_products_view",
                    catSlug: cat,
                    taxonomy: this.options.taxonomy,
                    filter_key: this.options.filter_key,
                    col: $col,
                    layout: $layout,
                    page: this.options.page

                },
                beforeSend: function () {
                    $('.foodbook-products').html(a.lodingMarkup());
                },
                success: function (res) {
                    
                    $('.foodbook-products').append(res);
                    // 
                    a.lodingRemove();

                    a.productListReadMore();
                }

            });

        },
        getProductByPaginate: function () {

            let $this = this;

            $(document).on('click', '[data-page-number]', function (e) {

                e.preventDefault();

                let $v = $(this).data('page-number');

                //$( '[data-page-number]' ).removeClass('active');
                $(this).addClass('active');

                $this.options = {
                    catSlug: $this.catSlug,
                    taxonomy: $this.taxonomy,
                    page: $v

                }

                $this.getProducts();

            });

        },
        getProductByCategories: function () {

            let $this = this;

            $('[name="fb_product_category"]').on('change', function () {

                let $v = $(this).val();

                $this.catSlug = $v;
                $this.taxonomy = "category";

                $this.options = {
                    catSlug: $v,
                    taxonomy: $this.taxonomy,
                    page: 1

                }

                $this.getProducts();
            })

        },
        getProductByTaxonomy: function () {

            let $this = this;

            $('[name="fb_product_specialoffer"]').on('change', function () {

                let $v = $(this).val();

                $this.catSlug = $v;
                $this.taxonomy = "specialoffer";

                $this.options = {
                    catSlug: $v,
                    taxonomy: $this.taxonomy,
                    page: 1

                }

                $this.getProducts();
            })

        },
        getProductOrderbyFilter:function(){

            let $this = this;

            $('[name="orderby"]').on('change', function () {

                let $v = $(this).val();

                $this.catSlug = "";
                $this.taxonomy = "";

                $this.options = {
                    catSlug: $this.catSlug,
                    taxonomy: $this.taxonomy,
                    filter_key: $v,
                    page: 1
                }

                $this.getProducts();

            })

        },
        allGetItems: function () {

            let $this = this;

            $(document).on('click', '.all_items', function () {

                $this.catSlug = "";
                $this.taxonomy = "";

                $this.options = {
                    catSlug: $this.catSlug,
                    taxonomy: $this.taxonomy,
                    page: 1

                }

                $this.getProducts();

                $('.fb_custom_checkbox input').removeAttr('checked');

            })

        },
        productSearch: function () {

            let $this = this,
                $layout = $('[data-layout]').data('layout');

            $(document).on('keyup', '#fb_search', function (e) {

                e.preventDefault();

                $.ajax({
                    type: 'POST',
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: 'woo_search_product',
                        keyword: $(this).val(),
                        layout: $layout                  
                    },
                    beforeSend: function () {
                        $('.foodbook-products').html(a.lodingMarkup());
                    },
                    success: function (res) {

                        if (res.length) {
                            $('.foodbook-products').html(res);

                        } else {
                            $this.getProducts()
                        }

                        a.lodingRemove();
                        a.productListReadMore();

                    }

                })


            });

        },
        conditionalTimeSelectBox: function() {

            let that = this;
            $( '#fb_delivery_date' ).on( 'change', function() {
        
                $.ajax({

                    type: 'POST',
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: 'order_time_lists_action',
                        date: $(this).val()
                    },
                    success: function (res) {
                        $('#fb_delivery_time').html(res);
                        that.checkoutPageTimeSlotTimeCheck();
                    }

                })

            } )

        },
        checkoutPageTimeSlotTimeCheck: function() {

            if( foodbookobj.is_checkout_delivery_option != 'yes' ) {
                return;
            }

            let timeOption     = $('[name="fb_delivery_time"] option'),
                $checkoutButon = $(document).find('.fb-checkout-order-place-area'),
                $checkModal    = $(document).find('.fb-show-availability-check-modal'),
                $availabilityStatus    = $(document).find('.d_availability_status'),
                $AbilityStatus = localStorage.getItem('fbAbilityStatus'),
                $infoMagAppend = $('.fb-delivery-time-wrapper'),
                $infoMag       = $('.fb-info-msg');

            // Time length check
            if(  timeOption.length > 0 ) {

                if( $AbilityStatus == 'yes' ) {
                    $checkoutButon.fadeIn('slow');
                }

                $checkModal.fadeIn('slow');
                $availabilityStatus.fadeIn('slow');
                $infoMag.remove();

            } else {

                $infoMag.remove();
                $checkoutButon.fadeOut('slow');
                $checkModal.fadeOut('slow');
                $availabilityStatus.fadeOut('slow');
                $infoMagAppend.append('<div class="fb-info-msg"><p>'+foodbookobj.closing_time_msg+'</p></div>');
            }


        }
    }

    //
    m = {

        cartBackBtn: false,
        openModal: false,
        isCartModal: false,
        productId: "",
        isVerifiedOwner: "",

        init: function () {

            let $this = this;

            $this.fbClosePopup();
            $this.modalOpen();
            $this.addToCart();
            $this.cartTemplate();
            $this.checkoutLoginRegisterTemplate();
            $this.placeOrder();
            $this.login();
            $this.register();
            $this.addCouponcode();
            $this.removeCouponcode();
            $this.shippingMethod();
            $this.cartBack();
            $this.cartCountBtn();
            $this.reviewBack();
            //
            if( foodbookobj.is_enable_reviews == 'yes' ) {
                $this.productReview();
            }
            
            $this.responsiveSidebarShow();

            //
            a.quantityPlusMinusEvent();


        },
        cartCountBtn: function () {

            let $this = this;
            
            $(document).on('click', '.fb_cart_count_btn', function (e) {

                e.preventDefault();
            
                if( !$this.isCartModal ) {

                    $this.isCartModal = true;

                    // check is Modal already open
                    if( !$this.openModal ) {
                        $this.modalTemplate();
                        $this.fbOpenPopUp();

                    }
                   
                    // Hide product info modal
                    $('.step-product-info').hide();
                    //
                    $('.step-reviews').hide();
                    // Show cart modal
                    $this.getCartItems();
                    // Active Tab                
                    a.tabDeactive();
                    a.tabActive('.fb_viewcart_tab');

                    let $productTab = $('.fb_product_tab');
                    $productTab.hide();
                    $productTab.next().hide();

                }


            })

        },
        modalOpen: function () {

            let $this = this;

            $(document).on('click', '.fb_order_cart_button', function (e) {

                e.preventDefault();

                $this.openModal = true;

                let $productId = $(this).data('pid');

                $this.productId = $productId;

                $this.getProductInfo();

                // Modal
                $this.modalTemplate();
                //
                $this.fbOpenPopUp();

            })

        },
        modalTemplate: function () {

            // Modal wrapper
            let modalTemp = wp.template('fb_modal_wrapper');
            let modal     = modalTemp();

            $('body').append(modal);

            // Modal steps
            let stepsTemp = wp.template('fb_modal_steps');
            let step      = stepsTemp();

            $('.fb_steps_wrapper').append(step)

        },
        cartTemplate: function () {

            let $this = this;

            $(document).on('click', '.remove_cart_item', function (e) {

                e.preventDefault();

                let current_qty = parseInt($(this).attr('data-quantity'));
                let id = $(this).attr('data-product_id');

                let cat_item_key = $(this).attr('data-cart_item_key');

                $.ajax({

                    type: 'POST',
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: 'woo_cart_item_remove',
                        cart_item_key: cat_item_key
                    },
                    success: function (res) {
                        $('.step-cart').remove();
                        $this.getCartItems();
                        $this.cartCount();
                    }

                })

            });

        },
        checkoutLoginRegisterTemplate: function () {

            let $this = this;

            $(document).on('click', '.fb_checkout_order', function (e) {

                e.preventDefault();

                $('.step-cart').hide();


                if (foodbookobj.is_login) {

                    // Modal checkout
                    let data = $this.checkout();

                } else {

                    // Modal Login/Register 
                    let temp = wp.template('fb_loginreg');
                    let t = temp();

                    $('.fb_steps_wrapper').append(t)

                    // Active Tab                
                    a.tabDeactive();
                    a.tabActive('.fb_logreg_tab');

                    // login form tab
                    $this.fbMultiform();

                }


            })
        },
        fbMultiform: function () {

            let multiForm = $('.fb_multiform');
            if (multiForm.length) {
                let multiSelector = multiForm.find('.fb_form_selector_list .fb_single_form_selector input[type=radio]'),
                    forms = multiForm.find('.fb_single_form');

                multiSelector.on('click', function () {
                    let form = $(this).data('form');
                    forms.each(function () {
                        if ($(this).hasClass(form)) {
                            $(this).fadeIn().addClass('show')
                        } else {
                            $(this).hide().removeClass('show')
                        }
                    })
                })
            }

        },
        shippingMethod: function () {

            $(document).on('change', '[name="shipping_method"]', function () {

                $.ajax({
                    type: "POST",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "woo_set_shipping_methods",
                        method: $(this).val()
                    },
                    success: function (res) {

                        $.ajax({

                            post: 'post',
                            url: foodbookobj.ajaxurl,
                            data: {
                                action: "woo_get_checkout_data"
                            },
                            success: function (res) {

                                let temp = wp.template('fb_billing_summary');
                                let t = temp(res.data);

                                $('.fb-billing-summary').html(t);

                            }

                        })

                    }
                })

            })

        },
        placeOrder: function () {
            let $this = this;

            $(document).on('submit', '#fb_place_order', function (e) {

                e.preventDefault();
                $this.createOrder();

            });

        },
        fbOpenPopUp: function () {

            let $target = $("#fb_popup_modal");

            if (!$target.length) {
                return false;
            }

            $target.fadeIn();
            $target.addClass('open');

            $(document.body).addClass('fbPopupModal-opened ');


        },
        fbClosePopup: function () {

            let $this = this;


            function removePopup() {
                $this.productId = "";
                $this.isVerifiedOwner = "";
                $this.openModal = false;
                $this.isCartModal = false;

                let $target = $("#fb_popup_modal")

                $target.fadeTo(1000, 0.01, function () {
                    $(this).slideUp(150, function () {
                        $(this).remove();

                    });
                });

                $(document.body).removeClass('fbPopupModal-opened');
            }

            $(document).on('click', '.fb_close_modal_btn', function (e) {
                e.preventDefault()
                removePopup()
            });

            $(document).on('click', '#fb_popup_modal', function (e) {
                let isShow = e.target === e.currentTarget;

                if (isShow) {
                    removePopup()
                }
            });

            $(document).on('keydown', function (e) {
                if (e.key === 'Escape') {
                    removePopup()
                }
            });


        },
        getProductInfo: function () {

            let $this = this;

            $.ajax({

                type: "post",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "woo_product_byid",
                    product_id: $this.productId
                },
                success: function ( res ) {

                    let data = JSON.parse(res);

                    $this.isVerifiedOwner = data.verified_owner;

                    // Modal product info content
                    let temp = wp.template('fb_product_content');
                    let t = temp(data);

                    $('.fb_steps_wrapper').append(t);

                    // Remove Thousands Separator
                    a.removeThousandsSeparator('item-price');
                    //
                    $this.variationProduct();
                    // 
                    a.addExtraFeatures();
                    //
                    a.lodingRemove();

                    // Flying cart init
                    if( data.type != 'grouped' && data.type != 'external' ) {
                        a.flyingCart();
                    }

                    
                }

            })

        },
        productReview: function () {

            let $this = this;

            $(document).on('click', '.fb-product-review', function () {

                $this.getReviewAjax();

                // Hide product content modal
                $('.step-product-info').hide();

            })

        },
        reviewBack: function () {

            $(document).on('click', '.review-back', function () {

                // remove reviews modal
                $('.step-reviews').remove();
                // Show product content modal
                $('.step-product-info').fadeIn();

            })

        },
        getReviewAjax: function () {

            let $this = this,
                $productId = $this.productId;
            // 
            $.ajax({

                type: "post",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "woo_product_reviews_byid",
                    product_id: $productId
                },
                beforeSend: function () {
                    // Preloader 
                    $('.fb_steps_wrapper').append(a.lodingMarkup());
                },
                success: function (res) {

                    // reset previous reviews modal
                    $('.step-reviews').remove();

                    // load review modal content pass reviews data and product id
                    let temp = wp.template('fb_modal_reviews');
                    let t = temp({ data: res, id: $productId, isVerifiedOwner: $this.isVerifiedOwner });
                    $('.fb_steps_wrapper').append(t);

                    // Preloader remove
                    a.lodingRemove();

                    // init reviews submit event func
                    $this.submitReview();

                }

            })

            return false;

        },
        submitReview: function () {

            let $thisObj = this;

            /// Rating active and assign value
            $('[data-rating]').on('click', function (e) {

                e.preventDefault();

                let $this = $(this);
                $this.addClass('active');
                $this.parent().parent().addClass('selected');
                $('[name="rating"]').val($this.data('rating'));
            })

            // Review comments form submit 
            $('#commentform').on('submit', function (e) {

                e.preventDefault();


                let $url = $(this).attr("action"),
                    formdata = $(this).serialize();

                $.ajax({

                    type: 'post',
                    url: $url,
                    data: formdata,
                    error: function (XMLHttpRequest, textStatus, errorThrown) {

                        let $selector = $('.fb-review-submit-message');

                        if (textStatus == 'error') {
                            $selector.html('<p class="fb-alert fb-alert-warning">' + foodbookobj.review_failed_alert + '</p>');
                        }

                    },
                    success: function (data, textStatus) {

                        let $selector = $('.fb-review-submit-message');

                        if (textStatus == 'success') {
                            $selector.html('<p class="fb-alert fb-alert-success">' + foodbookobj.review_success_alert + '</p>');
                            $thisObj.getReviewAjax();
                        } else {
                            $selector.html('<p class="fb-alert fb-alert-warning">' + foodbookobj.review_failed_alert + '</p>');
                        }

                    }

                });

                return false;

            })


        },
        variationProduct: function () {

            // omn Change

            $(document).on('change', '.fb-product-attribute', function () {

                let $t = $(this);

                let attr = $t.data('name-attr');
                let name = $t.data('name');

                $.ajax({
                    type: 'post',
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: 'woo_get_variation_data',
                        attribute: attr,
                        name: name,
                        pid: $('[name="product_id"]').val()

                    },
                    success: function (res) {

                        if ( !res ) {

                            return;
                        }

                        $('[name="variation_id"]').val(res.data.variation_id);

                        $('.fb_total_Price').attr('data-item-price', res.data.display_price).text( a.currency_symbol_position( res.data.display_price ) );
                       
                        $('.fb-variable-price').html('');

                        $t.parent().parent().parent().find('.fb-variable-price').html(res.data.price_html);

                        $('.product-extra-options:checked').click();

                    }
                })


            })


        },
        addToCart: function () {

            let $thisObj = this;

            $(document).on('submit', '#fbs_single_add_to_cart_button', function (e) {
                e.preventDefault();

                // 

                let getAttributes = {};

                $('[data-product-attribute]').each(function () {

                    let t = $(this).data('product-attribute'),
                        v = $('[name="' + t + '"]:checked').val();

                    getAttributes[t] = v


                });

                // 
                let extraoptions = $(this).find('.product-extra-options:checked');

                let options = [],
                    formattedOptions = [];

                extraoptions.each(function () {

                    let $this = $(this);
                    options.push($this.val());
                    formattedOptions.push($this.data('formatted-price'));

                })

                //
                let $this = $(this),
                    product_qty = $this.find('input[name=fb_quantity]').val() || 1,
                    product_id = $this.find('input[name=product_id]').val() || '',
                    variation_id = $this.find('input[name=variation_id]').val() || 0,
                    product_sku = $this.find('input[name=product_sku]').val() || '',
                    extra_options = options,
                    instructions = $this.find('[name=item_instructions]').val() || '';

                //
                let data = {
                    action: 'woo_fb_ajax_add_to_cart',
                    product_id: product_id,
                    product_sku: product_sku,
                    quantity: product_qty,
                    variation_id: variation_id,
                    instructions: instructions,
                    extra_options: extra_options,
                    extra_formatted_options: formattedOptions,
                    attributes: getAttributes
                };


                $.ajax({
                    type: 'post',
                    url: foodbookobj.ajaxurl,
                    data: data,
                    success: function ( response ) {

                        if ( response.data.status == true ) {
                 
                            // Hide product info modal
                            $('.step-product-info').hide();

                            // cart modal open status
                            $thisObj.isCartModal = true;
                            // Show cart modal
                            $thisObj.getCartItems();
                            // Active Tab                
                            a.tabDeactive();
                            a.tabActive('.fb_viewcart_tab');

                            // cart count
                            $thisObj.cartCount();

                        } else {

                            let data = {
                                text: foodbookobj.dont_cart_msg,
                                alert: "alert-warning"
                            }

                            a.alert(data);

                        }

                    },
                });

                //return false;
            });

        },
        getCartItems: function () {

            let $this = this;

            $.ajax({

                type: "post",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "woo_cart_items",
                },
                beforeSend: function () {
                    $('.fb_steps_wrapper').append( a.lodingMarkup() );
                },
                success: function (res) {

                    // Modal product info content
                    let temp = wp.template('fb_cart_items');
                    let t = temp(res.data);

                    // Active Tab                
                    a.tabDeactive();
                    a.tabActive('.fb_viewcart_tab');

                    $this.isCartModal = true;

                    $('.fb_steps_wrapper').append(t)

                    if ($this.cartBackBtn) {
                        $('.fb_cart_back').hide();
                    }

                    a.lodingRemove();

                    // value assign false
                    $this.cartBackBtn = false;

                }

            })


        },
        cartCount: function () {
            $.ajax({

                type: "post",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "woo_get_cart_count"
                },
                success: function (res) {
                    $('.fb_cart_count').text(res);

                }

            })
        },
        cartBack: function () {

            $(document).on('click', '.fb_cart_back', function () {

                $('.step-cart').remove();
                $('.step-product-info').show();
                $('.fb_add_to_cart_ajax').show();

                // Active Tab                
                a.tabDeactive();
                a.tabActive('.fb_product_tab');

            })
        },
        login: function () {

            let $this = this;

            $(document).on('submit', '#fb_form_log_in', function (e) {

                e.preventDefault();

                let $thisObj = $(this);

                let data = $thisObj.serialize();

                $.ajax({

                    type: "POST",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "login_action",
                        data: data,
                        security: $thisObj.find('[name="security"]').val()
                    },
                    success: function (res) {

                        let r = res.data;

                        if (r.loggedin == true) {
                            window.location.href = foodbookobj.cart_url;
                        } else {
                            $('.fb-alert').remove();
                            $thisObj.prepend('<div class="fb-alert fb-alert-danger">' + r.message + '</div>');
                        }

                    }

                })

            })

        },
        register: function () {

            let $this = this;

            $(document).on('submit', '#fb_form_signup', function (e) {

                e.preventDefault();

                let $thisObj = $(this);

                let data = $thisObj.serialize();

                $.ajax({

                    type: "POST",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "registration_action",
                        data: data,
                    },
                    success: function (res) {

                        let r = res.data;

                        if (r.loggedin == true) {
                            window.location.href = foodbookobj.cart_url;
                        } else {
                            $('.fb-alert').remove();
                            $thisObj.prepend('<div class="fb-alert fb-alert-danger">' + r.message + '</div>');
                        }

                    }

                })

            })
        },
        addCouponcode: function () {

            $(document).on('click', '.fb_add_coupon', function () {

                let $t = $(this).parent().find('[name="coupon_code"]');

                $.ajax({
                    type: "post",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "woo_add_discount",
                        coupon_code: $t.val()
                    },
                    success: function (res) {

                        $.ajax({

                            post: 'post',
                            url: foodbookobj.ajaxurl,
                            data: {
                                action: "woo_get_checkout_data"
                            },
                            success: function (res) {

                                let temp = wp.template('fb_billing_summary');
                                let t = temp(res.data);

                                $('.fb-billing-summary').html(t);

                            }

                        })

                    }

                })


            })

        },
        removeCouponcode: function () {

            let $t = this;

            $(document).on('click', '.fb_remove_coupon', function (e) {

                e.preventDefault();
                let $this = $(this),
                    $url = $this.data('url'),
                    $code = $this.data('coupon');


                $.post($url + '?remove_coupon=' + $code).done(function (data) {

                    $.ajax({

                        post: 'post',
                        url: foodbookobj.ajaxurl,
                        data: {
                            action: "woo_get_checkout_data"
                        },
                        success: function (res) {

                            let temp = wp.template('fb_billing_summary');
                            let t = temp(res.data);

                            $('.fb-billing-summary').html(t);

                        }

                    })


                });

            })

        },
        responsiveSidebarShow: function() {
            $('.fb-show-sidebar').on( 'click', function(e) {
                e.preventDefault();
                $('.fb_sidebar').toggle('slow');
            } );
        }


    }

    a = {

        init: function () {

            let $this = this;
            //SVG Image
            $this.SVGImage();
            // 
            $this.checkoutCoupon();
            //
            $this.invoicePrint();
            //
            $this.checkoutPageScheduleType();
            
        },
        SVGImage: function () {

            $(window).on('load', function () {

                $('img.fb_svg').each(function () {
                    let $img = $(this);
                    let imgID = $img.attr('id');
                    let imgClass = $img.attr('class');
                    let imgURL = $img.attr('src');

                    $.get(imgURL, function (data) {
                        // Get the SVG tag, ignore the rest
                        let $svg = $(data).find('svg');

                        // Add replaced image's ID to the new SVG
                        if (typeof imgID !== 'undefined') {
                            $svg = $svg.attr('id', imgID);
                        }
                        // Add replaced image's classes to the new SVG
                        if (typeof imgClass !== 'undefined') {
                            $svg = $svg.attr('class', imgClass + ' replaced-svg');
                        }

                        // Remove any invalid XML tags as per http://validator.w3.org
                        $svg = $svg.removeAttr('xmlns:a');

                        // Check if the viewport is set, else we gonna set it if we can.
                        if (!$svg.attr('viewBox') && $svg.attr('height') && $svg.attr('width')) {
                            $svg.attr('viewBox', '0 0 ' + $svg.attr('height') + ' ' + $svg.attr('width'));
                        }

                        // Replace image with new SVG
                        $img.replaceWith($svg);

                    }, 'xml');
                });

            });


        },
        checkoutCoupon: function () {
            let coupon2 = $(".checkout_coupon");
            coupon2.insertAfter('.shop_table.woocommerce-checkout-review-order-table');
        },
        alert: function (data) {

            let temp = wp.template('fb_modal_alert');
            let t = temp(data);
            $('body').append(t)

            setTimeout(function () {
                $('.fb-alert-wrapper').fadeOut('300', function () {
                    $('.fb-alert-wrapper').remove();
                });

            }, 1000);

        },
        lodingMarkup: function () {

            let html = '';
            html += '<div class="fb-loading">';
            html += '<div class="circle"></div>';
            html += '<div class="circle"></div>';
            html += '<div class="circle"></div>';
            html += '<div class="shadow"></div>';
            html += '<div class="shadow"></div>';
            html += '<div class="shadow"></div>';
            html += '<span>'+foodbookobj.loading+'</span>';
            html += '</div>';

            return html;

        },
        lodingRemove: function () {

            $('.fb-loading').fadeOut('slow', function () {
                $(this).remove()
            });
        },
        quantityPlusMinusEvent: function () {

            /* Increase */
            $(document).on('click', '.fb_plus', function (e) {

                e.preventDefault();

                let $qty = $(this).parent().find('[name="fb_quantity"]');

                let currentVal = parseInt($qty.val());

                if (!isNaN(currentVal)) {
                    let q = currentVal + 1;

                    $qty.val(q);

                }

            });

            /* Decrease */
            $(document).on('click', '.fb_minus', function (e) {

                e.preventDefault();

                let $qty = $(this).parent().find('[name="fb_quantity"]');
                let currentVal = parseInt($qty.val());
                if (!isNaN(currentVal) && currentVal > 1) {
                    let q = currentVal - 1;
                    $qty.val(q);

                }
            });

        },
        tabActive: function (selector) {
            $(selector).addClass('active');
        },
        tabDeactive: function () {
            $('.fb_steps_item').removeClass('active');
        },
        addExtraFeatures: function () {

            let EP = 0;

            $(document).on( 'change', '.product-extra-options', function (e) {

                let el = document.querySelector('[data-item-price]').getAttribute('data-item-price');
                
                let ex = 0;

                $('.product-extra-options').each( function() {

                    if( $(this).is(":checked") ) {

                        let p = $(this).data('price');
                        ex += parseFloat( p );

                    }

                } )


                let y = parseFloat( ex ) + parseFloat(el);

                
                $('.fb_total_Price').html( a.currency_symbol_position( a.addThousandsSeparator( y.toFixed( foodbookobj.price_decimals ) ) ) )

            })

        },
        sendMail: function () {

            $('#invitemail').on('submit', function (e) {
                e.preventDefault();

                let $this = $(this),
                    $email = $this.find('[name="invite_mail"]').val();

                $.ajax({

                    type: "post",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "invitation_mail_action",
                        mail: $email
                    },
                    success: function (res) {

                        $this.append('<p class="invite-alert">' + res + '</p>');

                        $('.invite-alert').delay('3000').fadeOut('slow');

                    }

                })
                
            })

        },
        flyingCart: function () {

            $('.ajax_add_to_cart').on('click', function () {
                let cart = $('.fb_cart_icon');
                let imgtodrag = $('.fb_product_details_img').find("img").eq(0);
                if (imgtodrag) {
                    let imgclone = imgtodrag.clone()
                        .offset({
                            top: imgtodrag.offset().top,
                            left: imgtodrag.offset().left
                        })
                        .css({
                            'opacity': '0.5',
                            'position': 'absolute',
                            'height': '150px',
                            'width': '150px',
                            'z-index': '100000000'
                        })
                        .appendTo($('body'))
                        .animate({
                            'top': cart.offset().top + 10,
                            'left': cart.offset().left + 10,
                            'width': 75,
                            'height': 75
                        }, 1000, 'easeInOutExpo');

                    setTimeout(function () {
                        cart.addClass('fb-shake-animation');
                        //
                        setTimeout(function () {
                            cart.removeClass('fb-shake-animation')
                        }, 1000)

                    }, 1500);

                    imgclone.animate({
                        'width': 0,
                        'height': 0
                    }, function () {
                        $(this).detach()

                    });
                }
            });
        },
        invoicePrint: function() {

            // Print event    
            let $print     = $(document).find('.fb-inv-print'),
                $printBack = $(document).find('.fb-inv-back');

            $print.on( 'click', function() {

                let t = $(this).closest( '.fb_modal_content' ),
                    i = $(t).find(".content-inner-hide"),
                    e = $(t).find(".fb-invoice-template");

                i.hide();
                e.show();
                $( this ).closest('.print-btn-area').find('.fb-inv-back').show()
                e.print();

            } )

            // Print Preview          
            $printBack.on( 'click', function() {

                let t = $(this).closest( '.fb_modal_content' ),
                    i = $(t).find(".content-inner-hide"),
                    e = $(t).find(".fb-invoice-template");
                    
                    i.show('slow')
                    e.hide('slow')
                    $(this).hide('slow')

            } )

        },
        currency_symbol_position: function( price = '' ) {

            let currency_pos = foodbookobj.currency_pos,
                $currency    = foodbookobj.currency,
                $price;


            switch(currency_pos) {
              case 'right':
                $price = price+$currency;
                break;
              case 'left_space':
                $price = $currency+' '+price;
                break;
              case 'right_space':
                $price = price+' '+$currency;
                break;
              default:
                $price = $currency+price;
                break;
                // code block
            }


            return $price;

        },
        pageAutoRefresh: function() {

            if( foodbookobj.is_page_custom_admin ) {
                
                let time = foodbookobj.page_auto_reload_time;
                setTimeout("location.reload(true);", time+'000');

            } 

        },
        productListReadMore: function() {

            // Configure/customize these variables.
           let showChar = foodbookobj.characters;  // How many characters are shown by default
           let ellipsestext = "...";
           let moretext = foodbookobj.show_more;
           let lesstext = foodbookobj.less;
                
           $('.fb-read-more').each(function() {
                 let content = $(this).html();

                 if(content.length > showChar) {

                    let c = content.substr(0, showChar);
                    let h = content.substr(showChar, content.length - showChar);

                    let html = c + '<span class="moreellipses">' + ellipsestext+ '&nbsp;</span><span class="morecontent"><span>' + h + '</span>&nbsp;&nbsp;<a href="" class="morelink">' + moretext + '</a></span>';

                    $(this).html(html);
                 }

           });

           $(".morelink").on('click', function(){
                 if($(this).hasClass("less")) {
                    $(this).removeClass("less");
                    $(this).html(moretext);
                 } else {
                    $(this).addClass("less");
                    $(this).html(lesstext);
                 }
                 $(this).parent().prev().toggle();
                 $(this).prev().toggle();
                 return false;
           });


        },
        addThousandsSeparator: function (nStr) {
            nStr += '';
            let x = nStr.split('.');
            let x1 = x[0];
            let x2 = x.length > 1 ? foodbookobj.wc_decimal_separator + x[1] : '';
            let rgx = /(\d+)(\d{3})/;
            while (rgx.test(x1)) {
                x1 = x1.replace(rgx, '$1' + foodbookobj.wc_thousand_separator + '$2');
            }
            return x1 + x2;
        },
        removeThousandsSeparator: function( selector ) {

            let $s = $("[data-"+selector+"]"),
                $v = $s.data(selector);
           
                if ( $v.toString().includes(',')  ) {

                   let $d = $v.replace(/,/g, "");

                    $s.attr('data-'+selector, $d);

                }
        },
        checkoutPageDateField: function() {
            $('.foodbook-date-field').datepicker({ dateFormat: foodbookobj.datepicker_format });
        },
        checkoutPageScheduleType: function() {

            let s = $('[name="fb_delivery_schedule_options"]'),
                t = $('.dp-date-wrapper'),
                deliveryDate = $('[name="fb_delivery_date"] option');

            if( s.val() == 'todayDelivery' ) {
               t.hide() 
            }
            s.on( 'click', function() {

                let $this = $(this);

                if( $this.val() == 'scheduleDelivery' ) {
                    t.show()
                } else {
                    t.hide()
                    // Selected data reset when user click on Today Delivery/Pickup option
                    deliveryDate.prop('selected', function() {
                    return this.defaultSelected;
                    });
                    $( '#fb_delivery_date' ).change();
                }

            } )

        }


    }

    // Init
    m.init(); i.init(); a.init();


    /**
     *  Custom admin scripts 
     */

    admin = {


        init: function () {

            let $this = this;

            // datepicker init for Date filter 
            $(document).find(".datepicker").datepicker({ dateFormat: foodbookobj.datepicker_format });

            // data table order view modal close
            $this.OrderViewModalClose();

            // Order Tracking status chnage
            $this.OrderTrackingStatusChnage();

            // Pre order data filter
            $this.preOrderDataFilter();

            // ajax get order status notification count
            if( foodbookobj.is_manager_page ) {
                $this.notificationCount();
            }
            // Data table
            $this.dataTable();

            // delivery boy assign ajax handler
            $this.deliveryAssign();

            // Order branch transfer ajax handler
            $this.OrderBranchTransfer();

            // Order statistic
            $this.orderStatistics();

            // Manager order view modal
            $this.orderViewModal();

            // Delivery Type
            $this.deliveryType();

            if( foodbookobj.is_manager_page ) {
                $this.newOrderNotification();
            }

            $this.dataFilter();
            

        },
        
        OrderViewModalClose: function () {

            function removeModal() {
                $('.fb_popup_modal').removeClass('open').fadeOut('300')
                $("body").removeClass('fbPopupModal-opened');
                setTimeout( function() {
                    $(document).find('.orderadmin_popup_modal').remove();
                }, 1000 )
                
            }

            //
            $(document).on('click', '.fb_close_modal', removeModal);

            $('.fb_popup_modal').on('click', function (e) {
                let isShow = e.target === e.currentTarget;

                if (isShow) {
                    removeModal();
                }
            })

            $(document).on('keydown', function (e) {
                if (e.key === 'Escape') {
                    removeModal();
                }
            })

        },
        orderViewModal: function() {

            let $that = this;

            $(document).on( 'click', '.fb-view-order', function() {

                let $this = $(this),
                    $body = $('body'),
                    $id = $this.data('order-id');

                $.ajax({

                    type: "post",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "order_data_action",
                        order_id: $id
                    },
                    success: function (res) {

                        let r = JSON.parse(res);
                        // Modal wrapper
                        let modalTemp = wp.template('fb_order_modal');
                        let modal     = modalTemp(r);

                        $body.append(modal);

                        $body.addClass('fbPopupModal-opened');
                        $body.find('.fb_popup_modal').fadeIn('300');
                        
                        // Update invoice dom
                        a.invoicePrint();
                        
                    }

                })


            } )


        },
        dataFilter: function() {

            let filter = $(document).find('.order-date-filter'),
                $this = this;

            filter.on( 'click', function( e ) {

                e.preventDefault();

                let $date = $( this ).closest('.fb_input_wrapper').find('.order-date').val();
                
                $.ajax({

                    type: "post",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "manager_date_filter_data_action",
                        date: $date,
                        managertype: foodbookobj.managerType
                    },
                    success: function ( res ) {

                       $('.foodbook-manager-data').html(res);

                        // update 
                        $this.updateOnEvent();

                    }

                })

            } )

        },
        preOrderDataFilter: function() {

            let filter = $(document).find('.preorder-date-filter'),
                $this = this;

            filter.on( 'click', function( e ) {

                e.preventDefault();

                let $date        = $( this ).closest('.fb_input_wrapper').find('.preorder-date').val(),
                    $allPreorder = $( this ).data('all-preorder');
                
                $.ajax({

                    type: "post",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "preorder_date_filter_data_action",
                        date: $date,
                        preorder: $allPreorder,
                        managertype: foodbookobj.managerType
                    },
                    success: function ( res ) {

                       $('.foodbook-manager-data').html(res);

                    }

                })

            } )


        },
        OrderTrackingStatusChnage: function () {

            let $that = this;

            $(document).on('click', '[data-tracking-status]', function () {

                let $this = $(this),
                    $orderID = $this.data('orderid'),
                    $status = $this.data('tracking-status');

                $.ajax({
                    type: "POST",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "order_tracking_status_action",
                        orderId: $orderID,
                        status: $status
                    },
                    success: function (res) {

                        $('.status-active').removeClass('status-active');
                        $this.addClass('status-active');
                        $this.prevAll().addClass("fb-d-none");

                        // notification count change
                        $that.ajaxBranchManager();
                        //$that.updateOnEvent();
                        
                    }
                })
            })


        },
        notificationCount: function () {

            let y = document.querySelector('.order-date');

            let $date = $(y).val();

            $.ajax({
                type: "POST",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "notification_number_action",
                    date: $date
                },
                success: function (res) {
                    $(document).find('.fb-order-notification').html(res)
                }
            })

        },
        dataTable: function () {

            $(document).ready(function () {

                // DataTable Default
                $('.foodbook-order-data-table').DataTable();

                // Click filter
                $(document).on('click', '[data-filter]', function () {

                    let t = $(this).data('filter');

                    $('.foodbook-order-data-table').DataTable().search(t,false, false).draw();

                })

            })

        },
        deliveryAssign: function () {

            $(document).on('click', '#delivery_assign', function () {

                let $this = $(this),
                    $parent = $this.parent(),
                    $boy_id = $this.parent().find('#delivery_boy').val(),
                    $orderId = $this.data('orderid');

                $.ajax({
                    type: "POST",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "order_delivery_boy_assign_action",
                        boy_id: $boy_id,
                        orderId: $orderId
                    },
                    success: function (res) {

                        $('.assigned-alert').remove();

                        if (res.success == true) {

                            $parent.append('<p class="assigned-alert">Delivery boy assigned success</p>');

                        } else {
                            $parent.append('<p class="assigned-alert">Delivery boy assigned failed</p>');
                        }

                    }
                })

            })

        },
        OrderBranchTransfer: function () {

            let $that       = this;

            $(document).on('click', '#order_transfer', function () {

                let $this       = $(this),
                    $parent     = $this.parent(),
                    $branch_id  = $this.parent().find('#branch_list').val(),
                    $orderId    = $this.data('orderid');


                $.ajax({
                    type: "POST",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "order_branch_transfer_action",
                        branch_id: $branch_id,
                        orderId: $orderId
                    },
                    success: function (res) {

                        $('.assigned-alert').remove();

                        if ( res.success == true ) {

                            $that.ajaxBranchManager();
                            //$that.updateOnEvent();

                            $parent.append('<p class="assigned-alert">Delivery boy assigned success</p>');

                        } else {
                            $parent.append('<p class="assigned-alert">Delivery boy assigned failed</p>');
                        }

                    }
                })

            })

        },
        orderStatistics: function () {

            let $date = $(document).find('.order-date').val();

            $.ajax({
                type: "POST",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "order_statistic_action",
                    date: $date
                },
                success: function (res) {

                    $.each(res.data, function (index, item) {

                        $(document).find('.' + index + '-total_count').text(item.total_count)
                        $(document).find('.' + index + '-total_value').html( item.total_value )

                    })

                }
            })


        },
        deliveryType: function() {

            jQuery( function( $ ) {
                $( "form.checkout" ).on( "click", "[name='fb_delivery_options']", function( e ) {
                
                    let data = {
                      action: 'update_order_review_action',
                      security: wc_checkout_params.update_order_review_nonce,
                      post_data: $( 'form.checkout' ).serialize()
                    };

                    jQuery.post( foodbookobj.ajaxurl, data, function( response )
                    {
                      $('body').trigger( 'update_checkout' );
                    });

              });


            });

        },
        newOrderNotification: function() {

            let time = foodbookobj.page_auto_reload_time,
                text = foodbookobj.order_notification_text,
                $this = this;

            let  $audio = '<audio autoplay><source src="'+foodbookobj.notification_audio+'" type="audio/mpeg"></audio>';

            let stopAudioLoop =  0;


            setInterval( function(){

                setTimeout( function(){

                    $(document).find('.fb-admin-order-push-notification-inner').slideUp('slow', function() {
                        $(this).parent().remove()
                    });

                }, 4000);

                $.ajax({
                    type: "POST",
                    url: foodbookobj.ajaxurl,
                    data: {
                        action: "new_order_push_notification_action"
                    },
                    success: function ( res ) {
                        //
                        if( res != 0 ) {

                            let audioHtml = '';

                            if( stopAudioLoop < res || stopAudioLoop > res ) {
                                //
                                if( foodbookobj.noti_audio_loop != 'yes' && stopAudioLoop < res ) {
                                    audioHtml = $audio;                         
                                }
                                
                                //
                                if( stopAudioLoop > 0 || res == 1 ) {

                                    // update Branch Manager Data
                                    $this.ajaxBranchManager();  
                                }

                                stopAudioLoop = res;
                            }

                            // Audio loop active
                            if( foodbookobj.noti_audio_loop == 'yes' ) {
                                audioHtml = $audio;
                            }

                            $('body').append('<div class="fb-admin-order-push-notification"><div class="fb-admin-order-push-notification-inner" >'+audioHtml+'<p>'+res+' '+text+'</p></div></div>');

                            $(document).find('.fb-admin-order-push-notification-inner').fadeIn('slow');  

                          
                        }
                        
                    }
                })

            }, time+'000');

     
        },
        ajaxBranchManager: function() {

            let $this = this,
                $date = $(document).find('.order-date').val();; 

            $.ajax({
               type: "POST",
                url: foodbookobj.ajaxurl,
                data: {
                    action: "branch_manager_data_action",
                    managertype: foodbookobj.managerType,
                    date: $date
                },
                beforeSend: function() {
                    $this.preloader();
                },
                success: function (res) {
                   
                    $(document).find('.foodbook-manager-data').html(res);

                    setTimeout( function() {

                        $this.updateOnEvent();

                    },600)

                }

            })

        },
        updateOnEvent: function() {

            let $this = this;
            // update order status
            $this.orderStatistics();
            // update order status notification number
            $this.notificationCount();
            // update Data table
            $this.dataTable();

        },
        preloader: function() {
            $('.foodbook-manager-data').html( '<div class="foodbook-loader"></div>' );
        }
        

    } // 



    // Init admin object

    admin.init();


    /**
     * Location Finder
     */

    LocationFinder = {

      init: function() {

            this.locationAvailabilityCheck();
            this.locateMe();
            
            // Check checkout page
            if( foodbookobj.is_checkout ) {
                this.checkoutPageAvailabilityCheck();
                this.chekoutPageAddCookieAddress();
                this.zipCode();
            }
            
            // Check Multi brunch
            if(foodbookobj.is_multi_branch) {
                this.multiBranchLocationCheckoutEvent();
                this.multiBranchLocationCheckoutOnload(); 
                this.modalBranchChangeEvent(); 
            }
            
        
      },
      zipCode: function() {

        // Option Activation check
        if( 'yes' != foodbookobj.is_availability_checker_active ) {
            return;
        }

        let zip = localStorage.getItem('fbcustomerzip'),
            $AbilityStatus = localStorage.getItem('fbAbilityStatus'),
            $checkoutButon = $(document).find('.fb-checkout-order-place-area');

        // If Ability Status error order place area should be hide
        if( $AbilityStatus == 'no' ) {
            $checkoutButon.hide();
        } else {
            $checkoutButon.show();
        } 

        //
        if( zip ) {
            $('[name="billing_postcode"]').val( zip );
            $('[name="shipping_postcode"]').val( zip );
        }

      },
      getSetPosition: function( position ) {

        if( 'undefined' == typeof position ) {
            return;
        }

        $.ajax({

            type: 'post',
            url: foodbookobj.ajaxurl,
            data: {
                action: 'client_location_action',
                lat: position.coords.latitude,
                long: position.coords.longitude,
                accuracy: position.coords.accuracy,

            },
            success: function( res ) {

                $('[name="billing_address_1"]').val(res);
                $('[name="shipping_address_1"]').val(res);
                $('.pac-input').val(res);
            }

        });

      },
      positionErrorHandler: function( err ) {
        //alert('Location not found');
      },
      modalBranchChangeEvent: function() {
        
        $( '[name="fb_pickup_branch"]' ).on( 'change', function() {

            let $getBranchId = $(this).val();

            $.ajax({
                type: 'POST',
                url: foodbookobj.ajaxurl,
                data: {
                    action: 'get_branch_location_by_id_action',
                    branchId: $getBranchId,
                },
                success: function( res ) {

                let $data = JSON.parse( res ),
                    $html = '';

                    if( $data.type == 'zip' ) {
                        $html = '<p>Select Your Location Zip Code</p><div class="zip-codes">';
                        $.each( $data.zipcode, function( key , item ) {
                        $html += '<label for="zipcode'+item+'">'+
                        '<input id="zipcode'+item+'" class="fb-availability-check" type="radio" value="'+item+'" name="zipcode">'+
                        '<span>'+item+'</span></label>';
                        } )
                        $html += '</div>';
                        $('.zip-code-list').html( $html );

                    } else {
                        $('[name="branch_address"]').val($data.address);
                    }

                }

            })

        } )
            
      },
      locationAvailabilityCheck: function() {

        $( document ).on( 'click', '.fb-availability-check', function( e ) {
            
            e.preventDefault();

            let $that            = $( this ),
                $wrapperSelector = $that.closest( '.fb-ability-checker-form-wrapper' ),
                $branchLocation  = $($wrapperSelector).find( '[name="branch_address"]' ).val(),
                $visitorLocation = $($wrapperSelector).find( '[name="visitor_location"]' ).val(),
                $zipcode         = $that.val(),
                $branchId        = $($wrapperSelector).find( '[name="fb_pickup_branch"]' ).val(),
                $resultShow      = $( '.fb-availability-check-result' );

            $.ajax({
                type: 'POST',
                url: foodbookobj.ajaxurl,
                data: {
                    action: 'location_availability_check_action',
                    branchId: $branchId,
                    branchLocation: $branchLocation,
                    visitorLocation: $visitorLocation,
                    zipcode: $zipcode
                },
                beforeSend: function() {
                    $resultShow.html( a.lodingMarkup() ).fadeIn('slow');
                },
                success: function( res ) {

                    let r = JSON.parse( res ),
                        $checkoutButon = $(document).find('.fb-checkout-order-place-area');

                    // Store error status
                    if( r.status == 'error' ) {
                      localStorage.setItem("fbAbilityStatus", 'no' );
                      $checkoutButon.hide();
                    } else {
                        localStorage.setItem("fbAbilityStatus", 'yes' );
                        $checkoutButon.show();
                    }
                    
                    //
                    $resultShow.fadeOut('slow');
                    $resultShow.html( '<p>'+r.msg+'</p>' ).fadeIn('slow');
                    // is checkout page
                    if( foodbookobj.is_checkout ) {
                        $('.fb-checkout-status-inner').text( r.msg ); 
                        $('[name="billing_postcode"]').val( $zipcode );
                        $('[name="shipping_postcode"]').val( $zipcode );
                    }
                    // is not checkout page
                    if( r.status == 'success' && ! foodbookobj.is_checkout ) {

                        if( foodbookobj.is_location_type_address ) {
                            $that.addClass('fb_close_modal').removeClass('fb-availability-check').text(foodbookobj.start_order);
                        } else {
                            $('.fb-availability-check-result').append('<div class="fb-availability-check-buton"><button class="fb_close_modal fb_btn_fill">'+foodbookobj.start_order+'</button></div>');
                        }

                    }

                    // Store zipcode
                    if( !foodbookobj.is_location_type_address && $zipcode ) {
                        localStorage.setItem("fbcustomerzip", $zipcode );
                    }
              
                }

            })

        } )

      },
      checkoutPageAvailabilityCheck: function() {
        $(document).on( 'click', '.fb-show-availability-check-modal', function( e ) {
            e.preventDefault();
            $('.fb-checkout-delivery-availability-checker').slideToggle();
        } )
      },
      locateMe: function() {
        let $that = this;
        $(document).on( 'click', '.fb-locate-me', function() {
            navigator.geolocation.getCurrentPosition( $that.getSetPosition, $that.positionErrorHandler );
        } )

      },
      multiBranchLocationCheckoutOnload: function() {
        let t = $( '[name="fb_pickup_branch"]' ).val();
        this.multiBranchLocationCheckoutAjax( t );
      },
      multiBranchLocationCheckoutEvent: function() {
        let $that = this;
        $( '[name="fb_pickup_branch"]' ).on( 'change', function() {            
            $that.multiBranchLocationCheckoutAjax( $(this).val() );
        } )

      },
      multiBranchLocationCheckoutAjax: function( id ) {

        $.ajax({
            type: 'POST',
            url: foodbookobj.ajaxurl,
            data:{
                action: 'get_branch_location_action',
                branchId: id
            },
            success: function( res ) {
                $('[name="branch_location"]').val(res);
                
                if( foodbookobj.is_checkout ) {
                    $('[name="branch_address"]').val(res);
                }
                
            }
        })

      },
      chekoutPageAddCookieAddress: function () {

        $.ajax({
            type: 'POST',
            url: foodbookobj.ajaxurl,
            data:{
                action: 'visitor_address_from_cookie_action'
            },
            success: function( res ) {
                $('[name="billing_address_1"]').val(res);
                $('[name="shipping_address_1"]').val(res);
            }
        })

      }
      

    }

    LocationFinder.init();


}(jQuery))