<?php
  global $foodbookAttr;

  $options = get_option('foodbook_options');

  $column       = '4';
  $shortCodeCat = '';
  $layout       = 'grid';
  $sidebar      = 'yes';
  $search       = 'yes';
  $paddingTop   = '120px';
  $paddingBottom  = '120px';


  if( !empty( $foodbookAttr ) ) {

    $column = foodbook_bootstrap_column_map( $foodbookAttr['col'] );
    $shortCodeCat    = !empty(  $foodbookAttr['cat'] ) ? $foodbookAttr['cat'] : '';
    $layout          = !empty(  $foodbookAttr['layout'] ) ? $foodbookAttr['layout'] : '';
    $sidebar         = !empty(  $foodbookAttr['sidebar'] ) ? $foodbookAttr['sidebar'] : '';
    $search          = !empty(  $foodbookAttr['search'] ) ? $foodbookAttr['search'] : '';
    $paddingTop      = !empty(  $foodbookAttr['padding_top'] ) ? $foodbookAttr['padding_top'] : '0px';
    $paddingBottom   = !empty(  $foodbookAttr['padding_bottom'] ) ? $foodbookAttr['padding_bottom'] : '0px';

  } else {

    $column = !empty(  $options['product-column'] ) ? $options['product-column'] : '';
    $layout = !empty(  $options['product-layout'] ) ? $options['product-layout'] : 'grid';
    $search = !empty( $options['search-section'] ) && $options['search-section'] == 'yes' ? 'yes' : 'no';

  }
?>

<div class="fb__wrapper" style="padding-top:<?php echo esc_attr( $paddingTop ); ?>;padding-bottom: <?php echo esc_attr( $paddingBottom ); ?>">
  <!-- Search -->
  <?php 
  if( $search == 'yes' ):
  ?>
  <section class="pb-pb-80">
    <div class="fb_container">
      <div class="fb_row">
        <div class="fb_col_12">
          <!-- Search -->
          <div class="fb_search fb_top_50">
            <!-- Search Form -->
            <form action="#" class="fb_search_form">
              <div class="fb_search_input_group">
                <label for="fb_search">
                  <img
                    src="<?php echo esc_url( FOODBOOK_DIR_URL.'assets/img/icon/search.svg' ); ?>"
                    class="fb_svg"
                    alt="<?php esc_attr_e( 'Search svg', 'foodbook' ); ?>"
                  />
                </label>
                <input
                  id="fb_search"
                  class="fb_input_style"
                  type="text"
                  placeholder="<?php esc_html_e( 'Search your favorite food...', 'foodbook' ); ?>"
                />
              </div>
              <div class="fb-search-result" data-col="<?php echo esc_attr( $column ); ?>" data-layout="<?php echo esc_attr( $layout ); ?>"></div>
            </form>
            <!-- End Search Form -->
          </div>
          <!-- End Search -->
        </div>
      </div>
    </div>
  </section>
  <?php 
  endif;
  ?>
  <!-- End Search -->
  <!-- Product -->
  <section>
    <div class="fb_container">
      <div class="fb_row">
        <?php
        $wrapCol = '12';
        if( $sidebar == 'yes' ):
        $wrapCol = '9';
        ?>
        <div class="fb_col_lg_3">
          <div class="fb-sidebar-show-btn">
            <buton class="fb-show-sidebar fb_btn_fill"><?php esc_html_e( 'Show Categories', 'foodbook' ); ?></buton>
          </div>
          <!-- Sidebar -->
          <div class="fb_sidebar">
            <!-- Filter Wrapper -->
            <?php
           // $cats = foodbook_getCategories();

            //if( !empty( $cats ) ):
            ?>
            <div class="fb_filter_wrapper">
              <!-- Section Title -->
              <div class="fb_section_title">
                <h3><?php esc_html_e( 'Categories', 'foodbook' ); ?></h3>
              </div>
              <!-- Section Title -->
              <!-- Category Menu -->
              <div class="fb_category_menu">
                <ul class="fb_category_list">
                  <li class="fb_category_item all_items">
                      <div class="fb_category_link">
                          <span class="fb_custom_checkbox">
                            <label>
                              <span class="fb_category_name"><?php esc_html_e( 'All', 'foodbook' ); ?></span>
                              <span class="fb_custom_checkmark"></span>
                            </label>
                          </span>
                      </div>
                    </li>
        					<?php
                    // Get product categories
        						foodbook_get_productCategories();
                  ?>
                </ul>
              </div>
              <!-- End Category Menu -->
            </div>
            <?php 
            //endif;
            ?>
            <!-- End Filter Wrapper -->

            <!-- Filter Wrapper -->
            <?php 
            $cats = foodbook_getSpecialOffer();

            if( !empty( $cats ) ):
            ?>
            <div class="fb_filter_wrapper">
              <!-- Section Title -->
              <div class="fb_section_title">
                <h3><?php esc_html_e( 'Special Offer', 'foodbook' ); ?></h3>
              </div>
              <!-- Section Title -->
              <!-- Category Menu -->
              <div class="fb_category_menu">
                <ul class="fb_category_list">
                  <li class="fb_category_item all_items">
                        <div class="fb_category_link">
                            <span class="fb_custom_checkbox">
                              <label>
                                <span class="fb_category_name"><?php esc_html_e( 'All', 'foodbook' ); ?></span>
                                <span class="fb_custom_checkmark"></span>
                              </label>
                            </span>
                        </div>
                    </li>
        						<?php
                    //
                    if( !empty( $cats ) ):
        						foreach( $cats as $cat ):
        						?>
                    	<li class="fb_category_item">
                        <div class="fb_category_link">
                          	<span class="fb_custom_checkbox">
	                            <label>
	                            	<input type="radio" value="<?php echo esc_attr( $cat->slug ); ?>" name="fb_product_specialoffer"/>
	                            	<span class="fb_category_name"><?php echo esc_html( $cat->name ) ?></span>
	                            	<span class="fb_custom_checkmark"></span>
	                            </label>
                          	</span>
                        </div>
                        <?php 
                        if( !empty( $cat->count ) ) {
                        	echo '<div class="fb_category_quantity"><span>'.esc_html( $cat->count ).'</span></div>';
                        }
                        ?>
                    	</li>
                  <?php 
              		endforeach;
                  endif;
                  ?>
                </ul>
              </div>
              <!-- End Category Menu -->
            </div>
            <?php 
            endif;
            ?>
            <!-- End Filter Wrapper -->
          </div>
          <!-- End Sidebar -->
        </div>
        <?php 
        endif;
        ?>
        <div class="fb_col_lg_<?php echo esc_attr( $wrapCol ); ?>">
          <!-- Section Title -->
          <div class="fb_section_title">
            <h3><?php esc_html_e( 'All items', 'foodbook' ); ?></h3>
            <select name="orderby" class="orderby-filter" aria-label="Shop order">
                <option value="menu_order" selected="selected"><?php esc_html_e( 'Default sorting', 'foodbook' ); ?></option>
                <option value="popularity"><?php esc_html_e( 'Sort by popularity', 'foodbook' ); ?></option>
                <option value="rating"><?php esc_html_e( 'Sort by average rating', 'foodbook' ); ?></option>
                <option value="date"><?php esc_html_e( 'Sort by latest', 'foodbook' ); ?></option>
                <option value="price"><?php esc_html_e( 'Sort by price: low to high', 'foodbook' ); ?></option>
                <option value="price-desc"><?php esc_html_e( 'Sort by price: high to low', 'foodbook' ); ?></option>
            </select>
          </div>
          <!-- Section Title -->
          <!-- Product List -->
          <div class="fb_row foodbook-products" data-cat="<?php echo esc_attr( $shortCodeCat ); ?>" data-col="<?php echo esc_attr( $column ); ?>" data-layout="<?php echo esc_attr( $layout ); ?>"></div>
          <!-- End Product List -->
        </div>
      </div>
    </div>
  </section>
  <!-- End Product -->

  <!-- Cart Button -->
  <span class="fb_cart_count_btn">
    <?php
    if( !is_admin() ):
    ?>
    <span class="fb_cart_count"><?php echo esc_html( WC()->cart->get_cart_contents_count() ); ?></span>
    <?php
    endif;
    ?>
    <span class="fb_cart_icon">
      <?php 
      if( !empty( $options['cart-btn-icon'] ) ) {
        echo '<img src="'.esc_url( $options['cart-btn-icon'] ).'" class="fb_svg" alt="'.esc_attr( 'cart count', 'foodbook' ).'" />';
      } else {
        $icon = FOODBOOK_DIR_URL.'assets/img/icon/cart-btn-icon.svg';
        echo '<img src="'.esc_url( $icon ).'" class="fb_svg" alt="'.esc_attr( 'cart count', 'foodbook' ).'" />';
      }
      ?>
    </span>
  </span>
  <!-- End Cart Button -->
</div>
